<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2024 Workiva-->
<!--r:2a17abfd-895e-4167-a86d-7d9f690e3e6d,g:142660f5-4bfe-49ca-aab2-79ea8f2c7844-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:san="http://santander.co.uk/20231231" xmlns:xbrli="http://www.xbrl.org/2003/instance" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://santander.co.uk/20231231">
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-en.xml" xlink:role="http://www.xbrl.org/2003/role/linkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple"/>
      <link:roleType id="StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" roleURI="http://santander.co.uk/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement">
        <link:definition>[0000001] Statement of comprehensive income, profit or loss, by function of expense (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement_1" roleURI="http://santander.co.uk/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement_1">
        <link:definition>[0000001] Statement of comprehensive income, profit or loss, by function of expense (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement" roleURI="http://santander.co.uk/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement">
        <link:definition>[0000002] Statement of comprehensive income, OCI components presented net of tax (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement_1" roleURI="http://santander.co.uk/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement_1">
        <link:definition>[0000002] Statement of comprehensive income, OCI components presented net of tax (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementoffinancialpositioncurrentnoncurrentStatement" roleURI="http://santander.co.uk/role/StatementoffinancialpositioncurrentnoncurrentStatement">
        <link:definition>[0000003] Statement of financial position, current/non-current (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcashflowsindirectmethodDetails" roleURI="http://santander.co.uk/role/StatementofcashflowsindirectmethodDetails">
        <link:definition>[0000004] Statement of cash flows, indirect method (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofchangesinequityStatement" roleURI="http://santander.co.uk/role/StatementofchangesinequityStatement">
        <link:definition>[0000005] Statement of changes in equity (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="TagsthatmustbeappliedifcorrespondinginformationispresentinareportStatement" roleURI="http://santander.co.uk/role/TagsthatmustbeappliedifcorrespondinginformationispresentinareportStatement">
        <link:definition>[0000006] Tags that must be applied if corresponding information is present in a report (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://santander.co.uk/role/Anchoring">
        <link:definition>Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="san_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers" abstract="false" name="AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_MacroHedgeOfInterestRateRiskAsset" abstract="false" name="MacroHedgeOfInterestRateRiskAsset" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_ProvisionsForOtherLiabilitiesAndCharges" abstract="false" name="ProvisionsForOtherLiabilitiesAndCharges" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_AdjustmentsForDecreaseIncreaseInCashAndBalancesAtCentralBanks" abstract="false" name="AdjustmentsForDecreaseIncreaseInCashAndBalancesAtCentralBanks" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_RepurchaseOfOtherEquityInstruments" abstract="false" name="RepurchaseOfOtherEquityInstruments" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_DividendsRecognisedOnOrdinaryShares" abstract="false" name="DividendsRecognisedOnOrdinaryShares" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_DisposalOfNonControllingInterests" abstract="false" name="DisposalOfNonControllingInterests" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_DividendsPaidOnOrdinarySharesClassifiedAsFinancingActivities" abstract="false" name="DividendsPaidOnOrdinarySharesClassifiedAsFinancingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_DividendsPaidOnPreferenceSharesAndOtherEquityInstrumentsClassifiedAsFinancingActivities" abstract="false" name="DividendsPaidOnPreferenceSharesAndOtherEquityInstrumentsClassifiedAsFinancingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_AdjustmentsForDecreaseIncreaseInOtherFinancialAssetsAtFairValueThroughProfitOrLoss" abstract="false" name="AdjustmentsForDecreaseIncreaseInOtherFinancialAssetsAtFairValueThroughProfitOrLoss" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_OperatingExpensesBeforeCreditImpairmentChargesWriteBacksProvisionsAndCharges" abstract="false" name="OperatingExpensesBeforeCreditImpairmentChargesWriteBacksProvisionsAndCharges" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_DividendsRecognisedOnPreferenceSharesAndOtherEquityInstruments" abstract="false" name="DividendsRecognisedOnPreferenceSharesAndOtherEquityInstruments" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_MacroHedgeOfInterestRateRiskLiability" abstract="false" name="MacroHedgeOfInterestRateRiskLiability" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_ProfitLossFromContinuingOperationsBeforeTax" abstract="false" name="ProfitLossFromContinuingOperationsBeforeTax" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_OtherCashEquivalentsLoansAndAdvancesToBanksNonTrading" abstract="false" name="OtherCashEquivalentsLoansAndAdvancesToBanksNonTrading" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_AggregateOperatingCreditImpairmentChargesWriteBacksProvisionsAndCharges" abstract="false" name="AggregateOperatingCreditImpairmentChargesWriteBacksProvisionsAndCharges" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_AdjustmentsForIncreaseDecreaseInDebtSecuritiesInIssue" abstract="false" name="AdjustmentsForIncreaseDecreaseInDebtSecuritiesInIssue" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_AdjustmentsForIncreaseDecreaseInOtherFinancialLiabilitiesAtFairValueThroughProfitOrLoss" abstract="false" name="AdjustmentsForIncreaseDecreaseInOtherFinancialLiabilitiesAtFairValueThroughProfitOrLoss" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_AdjustmentsForIncreaseDecreaseInDepositsFromBanksAndCustomers" abstract="false" name="AdjustmentsForIncreaseDecreaseInDepositsFromBanksAndCustomers" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_OtherCashEquivalentsReverseRepurchaseAgreements" abstract="false" name="OtherCashEquivalentsReverseRepurchaseAgreements" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_CashFlowsFromUsedInDisposalOfNonControllingInterests" abstract="false" name="CashFlowsFromUsedInDisposalOfNonControllingInterests" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_OtherFinancialLiabilitiesAtFairValueThroughProfitOrLoss" abstract="false" name="OtherFinancialLiabilitiesAtFairValueThroughProfitOrLoss" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_AdjustmentsToReconcileProfitLossToNetCashFlowFromUsedInOperatingActivitiesBeforeAdjustmentsForChangesInOperatingAssetsAndLiabilities" abstract="false" name="AdjustmentsToReconcileProfitLossToNetCashFlowFromUsedInOperatingActivitiesBeforeAdjustmentsForChangesInOperatingAssetsAndLiabilities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_OtherFinancialAssetsAtFairValueThroughProfitOrLoss" abstract="false" name="OtherFinancialAssetsAtFairValueThroughProfitOrLoss" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_OtherFinancialAssetsAtAmortisedCost" abstract="false" name="OtherFinancialAssetsAtAmortisedCost" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="san_AdjustmentsForDecreaseIncreaseInOperatingAssetsAndLiabilities" abstract="false" name="AdjustmentsForDecreaseIncreaseInOperatingAssetsAndLiabilities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
</xs:schema>
